Page MenuHomePhabricator

Port CopyPatrol to the Spanish Wikipedia
Closed, ResolvedPublic2 Estimate Story Points

Description

I've asked on our proposals village pump about the idea to have CopyPatrol enabled for eswiki as well. Consensus as of now is unanimous in that regard. Please let me know if there's something else needed from our part. Kind regards.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2017, 3:48 PM
Matiia added a subscriber: Matiia.Jan 23 2017, 2:50 AM
DannyH triaged this task as Medium priority.Jan 23 2017, 7:49 PM
DannyH moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
kaldari set the point value for this task to 2.Jan 26 2017, 5:57 PM
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
Ivanhercaz added a subscriber: Ivanhercaz.

Just as a heads-up: the discussion has ended and keeps that unanimous support. Let us know if you need something from the community or if we can help you with anything. Regards.

Niharika added a subscriber: Niharika.EditedJan 30 2017, 3:29 PM

Hi @MarcoAurelio, could you please create a page similar to https://en.wikipedia.org/wiki/User:EranBot/Copyright/User_whitelist on eswiki? Same location.
It lists trusted users whose edits don't appear on CopyPatrol. I tried creating the page (with only the first line of text "Add usernames alphabetically, one per line, with the format * [[User:Example]]") but it didn't let me create the page for some reason.

Sure. If the bot does need to edit or benefit from a botflag I can also
arrange the BRFA.

@MarcoAurelio: I don't think that will be needed as it doesn't actually write anything to the wiki.

kaldari edited projects, added Community-Tech; removed Community-Tech-Sprint.

@MarcoAurelio: I don't think that will be needed as it doesn't actually write anything to the wiki

Okay then. If the bot flag is needed later so he can benefit from apihighlimits, etc. we can arrange that later. There's also a global apihighlimits-requestor global user group for non-editting bots that need to do heavy API queries as well.

Hi @MarcoAurelio, could you please create a page similar to https://en.wikipedia.org/wiki/User:EranBot/Copyright/User_whitelist on eswiki? Same location.
It lists trusted users whose edits don't appear on CopyPatrol. I tried creating the page (with only the first line of text "Add usernames alphabetically, one per line, with the format * [[User:Example]]") but it didn't let me create the page for some reason.

Probably an AbuseFilter we set up to prevent new users from creating subpages for other users. I've created https://es.wikipedia.org/wiki/Usuario:EranBot/Copyright/User_whitelist as requested. Feel free to edit it. I've added the eswiki role account to contact oversighters.

Regards.

Niharika claimed this task.Feb 2 2017, 6:55 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

I did enable the cronjob in Eranbot but it's not collecting any data. Will require some deeper analysis.

Niharika added a subscriber: eranroz.

The tool is stuck on the same problem that happened a while ago. It keeps reconnecting to IRC if it doesn't get any responses for 1000 seconds. See this commit.
I think it's time we handle this properly. According to @eranroz:

I think it is not good to always get it to higher number, but either to completely remove it/adjust it per wiki/get a reliable way to validate we dont miss updates (such as querying the SQL revision table as an alternative).

Adjusting it per-wiki (as a param in the cronjob) might be the easiest solution at the moment. This would still need a bit of refactoring in Eranbot.

@kaldari I created T157120: Refactor Eranbot to adjust wait time before IRC reconnection per-wiki as a follow-up task.

es,wiki is very active, it seems weird it connected at a time with no edit for 1000 seconds (more than 15'). Is it connecting to the right channel? What nick is it using?

es,wiki is very active, it seems weird it connected at a time with no edit for 1000 seconds (more than 15'). Is it connecting to the right channel? What nick is it using?

The bot uses irc://irc.wikimedia.org/#{LANG}-wikipedia so it should be irc://irc.wikimedia.org/#es-wikipedia and the nickname is Eranboteswikipedia

That explains why the bot receives no feed. The channel name is
#es.wikipedia; with a dot not a dash, as with other projects:
#meta.wikimedia, #es.wikibooks and so on.

It is in the channel, and is indeed entering and leaving every few minutes. There is however plenty of rc entries:

23:33:43 8/<g@grc-pmtpag8/>g e14[[07Rosario Tijeras (telenovela mexicana)14]]4 10 02https://es.wikipedia.org/w/index.php?diff=96939491&oldid=96899695 5* 03177.240.161.42 5* (-2) 10
23:33:43 8/<g@grc-pmtpag8/>g e14[[07Jimi Hendrix14]]4 10 02https://es.wikipedia.org/w/index.php?diff=96939490&oldid=96939184 5* 03Billyrobshaw 5* (+558) 10/* The Jimi Hendrix Experience */ ampliando
23:33:45 9/-g!9/-g ;/yahoo_agent19833g 8/[g3/~yahoo_age@anonymous.userg8/]g has joined c#es.wikipediac
23:33:46 9/-g!9/-g 3/Eranboteswikipediag 8/[gtools.eran@anonymous.user8/]g has quit 8/[gRemote host closed the connection8/]g
Niharika removed Niharika as the assignee of this task.Mar 6 2017, 11:07 PM
Niharika moved this task from In Development to Ready on the Community-Tech-Sprint board.

This task is blocked on the IRC reconnection problem - T157120: Refactor Eranbot to adjust wait time before IRC reconnection per-wiki.

But what is the problem?

It clearly isn't that it doesn't get any responses for 1000 seconds

But what is the problem?

I don't think anyone actually knows at this point. Would probably require some debugging of eranbot to find out.

kaldari closed this task as Resolved.Apr 6 2017, 10:58 PM
kaldari claimed this task.
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Apr 25 2017, 2:20 AM
Zoranzoki21 moved this task from Backlog to Done on the CopyPatrol board.May 25 2017, 7:51 PM